Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# STBundleInfo class documentation

### Authors

Stefan Urbanek (`urbanek@host.sk`)

Date: Generated at 2026-02-09 22:49:36 +0000

Copyright: (C) 2002 Free Software Foundation

### Contents -

1. Software documentation for the STBundleInfo class
2. Software documentation for the NSBundle(STAdditions) category

# Software documentation for the STBundleInfo class

## STBundleInfo : NSObject

> Declared in:
>   StepTalk/STBundleInfo.h

Description forthcoming.

Instance Variables

### Method summary

- +infoForBundle:
- -allClassNames
- -initWithBundle:
- -namedObjects
- -objectReferenceDictionary
- -publicClassNames

### infoForBundle:

+ (id) infoForBundle: (NSBundle*)aBundle;
Description forthcoming.

### allClassNames

- (NSArray*) allClassNames;
Return an array of all class names.

### initWithBundle:

- (id) initWithBundle: (NSBundle*)aBundle;
This is a designated initialiser for the class.
Initialize info with bundle aBundle.

### namedObjects

- (NSDictionary*) namedObjects;
Return a dictionary of named objects. Named objects are get from scripting info class specified in ScriptingInfo.plist.

### objectReferenceDictionary

- (NSDictionary*) objectReferenceDictionary;
This method is for application scripting support. Return dictionary containing object references where a key is name of an object and value is a path to the object relative to application delegate.

### publicClassNames

- (NSArray*) publicClassNames;
Description forthcoming.

## Instance Variables for STBundleInfo Class

### allClasses

@protected NSArray* allClasses;
Description forthcoming.

### bundle

@protected NSBundle* bundle;
Description forthcoming.

### objectReferenceDictionary

@protected NSDictionary* objectReferenceDictionary;
Description forthcoming.

### publicClasses

@protected NSArray* publicClasses;
Description forthcoming.

### scriptingInfoClass

@protected Class scriptingInfoClass;
Description forthcoming.

### scriptingInfoClassName

@protected NSString* scriptingInfoClassName;
Description forthcoming.

### useAllClasses

@protected BOOL useAllClasses;
Description forthcoming.

# Software documentation for the NSBundle(STAdditions) category

## NSBundle(STAdditions)

> Declared in:
>   StepTalk/STBundleInfo.h

Description forthcoming.

### Method summary

- +allFrameworkNames
- +bundleForFrameworkWithName:
- +pathForFrameworkWithName:
- +stepTalkBundleNames
- +stepTalkBundleWithName:
- -scriptingInfoDictionary

### allFrameworkNames

+ (NSArray*) allFrameworkNames;
Return names of all available frameworks in the system.

### bundleForFrameworkWithName:

+ (NSBundle*) bundleForFrameworkWithName: (NSString*)aName;
Return bundle for framework with name aName.

### pathForFrameworkWithName:

+ (NSString*) pathForFrameworkWithName: (NSString*)aName;
Return path for framework with name aName .

### stepTalkBundleNames

+ (NSArray*) stepTalkBundleNames;
Get list of all StepTalk bundles from Library/StepTalk/Bundles

### stepTalkBundleWithName:

+ (id) stepTalkBundleWithName: (NSString*)moduleName;
Description forthcoming.

### scriptingInfoDictionary

- (NSDictionary*) scriptingInfoDictionary;
Description forthcoming.

Up